
QGIS Application - Bug report #14324

2.12 crashes on start up in Mac OS X 10.10 Yosemite

2016-02-17 01:41 PM - Rose Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 22312

Description

After deleting 2.8 Wien, I installed 2.12, only to have it consistently crash on start up. See attached for screenshot of the crash log and

below for the text. I've successfully run 2.8 in Yosemite and (unfortunately) assumed 2.12 would run just as well.

Process:               QGIS [13245]

Path:                  /Applications/QGIS.app/Contents/MacOS/QGIS

Identifier:            org.qgis.qgis2

Version:               ?

Code Type:             X86-64 (Native)

Parent Process:        ? [1]

Responsible:           QGIS [13245]

User ID:               501

Date/Time:             2016-02-17 16:39:02.460 -0500

OS Version:            Mac OS X 10.10.5 (14F1605)

Report Version:        11

Anonymous UUID:        3738A044-3714-6D44-EFCF-48E227484B67

Sleep/Wake UUID:       B6D734B3-B857-4BED-85B5-58AE6B1123E0

Time Awake Since Boot: 86000 seconds

Time Since Wake:       2400 seconds

Crashed Thread:        0

Exception Type:        EXC_BREAKPOINT (SIGTRAP)

Exception Codes:       0x0000000000000002, 0x0000000000000000

Application Specific Information:

dyld: launch, loading dependent libraries

Dyld Error Message:

  Library not loaded: /Library/Frameworks/PROJ.framework/Versions/4/PROJ

  Referenced from: /Applications/QGIS.app/Contents/MacOS/QGIS

  Reason: Incompatible library version: QGIS requires version 11.0.0 or later, but PROJ provides version 10.0.0

Binary Images:

    0x7fff6d9e8000 -     0x7fff6da1e887  dyld (353.2.3) <D9967621-6378-381B-A47B-5085EE476B62> /usr/lib/dyld

    0x7fff86a5e000 -     0x7fff86ad0fff  com.apple.framework.IOKit (2.0.2 - 1050.20.2) <09C0518C-90DF-3FC3-96D6-34D35F72C8EF>

/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8b3e6000 -     0x7fff8b3e6fff  com.apple.ApplicationServices (48 - 48) <5BF7910B-C328-3BF8-BA4F-CE52B574CE01>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

    0x7fff92f46000 -     0x7fff932deff7  com.apple.CoreFoundation (6.9 - 1153.18) <5C0892B8-9691-341F-9279-CA3A74D59AA0>

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

Model: MacBookPro7,1, BootROM MBP71.0039.B0E, 2 processors, Intel Core 2 Duo, 2.4 GHz, 4 GB, SMC 1.62f7

Graphics: NVIDIA GeForce 320M, NVIDIA GeForce 320M, PCI, 256 MB

Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54313235533654465238432D47372020

Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54313235533654465238432D47372020

AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.106.98.100.24)

Bluetooth: Version 4.3.6f3 16238, 3 services, 19 devices, 1 incoming serial ports

Network Service: AirPort, AirPort, en1

Serial ATA Device: TOSHIBA MK2555GSXF, 250.06 GB

Serial ATA Device: MATSHITADVD-R   UJ-898

USB Device: Built-in iSight

USB Device: Internal Memory Card Reader

USB Device: BRCM2046 Hub

USB Device: Bluetooth USB Host Controller

USB Device: IR Receiver

USB Device: Apple Internal Keyboard / Trackpad

Thunderbolt Bus:

History

#1 - 2016-02-17 02:01 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

You also need to install the updated frameworks from http://www.kyngchaos.com/software/qgis .

The error is listed in the log - "Reason: Incompatible library version: QGIS requires version 11.0.0 or later, but PROJ provides version 10.0.0"

Grab the newer "GDAL Complete 1.11 framework package" and install that and you'll be fine.

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
